petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetFactorType

gets the type of factorization it is

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetFactorType(Mat mat,MatFactorType *t)

Note Collective Many bras the flag Many br

### Input Parameters

mat -the matrix Many br

### Output Parameters

t -the type, one of MAT_FACTOR_NONE, MAT_FACTOR_LU, MAT_FACTOR_CHOLESKY, MAT_FACTOR_ILU, MAT_FACTOR_ICC,MAT_FACTOR_ILUDT Many br

Many br

### See Also

MatFactorType, MatGetFactor()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages